[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Can't run "install-strip" in binutils 2.18 ... ?

From: Paul Smith
Subject: Can't run "install-strip" in binutils 2.18 ... ?
Date: Fri, 10 Oct 2008 11:14:19 -0400

Is there another/better way to do this?  I wanted to have the binutils
tools stripped when they are installed.  Typically for autoconfiscated
environments I run "make install-strip" to do this.

For binutils if I try this I get:

make: *** No rule to make target `install-strip'.  Stop.

It looks like the top-level makefile in binutils doesn't grok the
install-strip target.  However if I look at the individual targets like
the binutils subdirectory, they do have install-strip.

On the gripping hand, though, I'm trying to cross-compile binutils and
it doesn't work to cd directly to binutils-2.18/binutils and run "make
install-strip" then it tries to use the "strip" command (which fails)
instead of the cross-strip program, because the sub-makefiles expect the
cross-tools to be provided as command-line overrides on the make

reply via email to

[Prev in Thread] Current Thread [Next in Thread]